XSAttributeUse (XML Schema API)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSAttributeUse

All Superinterfaces:
  XSObject

    public interface XSAttributeUse

extends XSObject

This interface represents the Attribute Use schema component.

Method Summary
`java.lang.Object` | `getActualVC()` Deprecated. Use getValueConstraintValue().getActualValue() instead
`short` | `getActualVCType()` Deprecated. Use getValueConstraintValue().getActualValueType() instead
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`XSAttributeDeclaration` | `getAttrDeclaration()` [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` | `getConstraintType()` Value Constraint: one of default, fixed, or none.
`java.lang.String` | `getConstraintValue()` Deprecated. Use getValueConstraintValue().getNormalizedValue() instead
`ShortList` | `getItemValueTypes()` Deprecated. Use getValueConstraintValue().getListValueTypes() instead
`boolean` | `getRequired()` [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
`XSValue` | `getValueConstraintValue()` The actual value of the default or fixed value constraint.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getRequired

    boolean getRequired()

  [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

### getAttrDeclaration

    XSAttributeDeclaration getAttrDeclaration()

  [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

### getConstraintType

    short getConstraintType()

  Value Constraint: one of default, fixed, or none.

### getConstraintValue

    java.lang.String getConstraintValue()

  Deprecated. Use getValueConstraintValue().getNormalizedValue() instead

  Value Constraint: The constraint value, otherwise `null`.

### getActualVC

    java.lang.Object getActualVC()
                                 throws XSException

  Deprecated. Use getValueConstraintValue().getActualValue() instead

  Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.

  Throws:
    `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

### getActualVCType

    short getActualVCType()
                          throws XSException

  Deprecated. Use getValueConstraintValue().getActualValueType() instead

  The actual constraint value built-in datatype, e.g. `STRING_DT, SHORT_DT`. If the type definition of this value is a list type definition, this method returns `LIST_DT`. If the type definition of this value is a list type definition whose item type is a union type definition, this method returns `LISTOFUNION_DT`. To query the actual constraint value of the list or list of union type definitions use `itemValueTypes`. If the `actualNormalizedValue` is `null`, this method returns `UNAVAILABLE_DT`.

  Throws:
    `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

### getItemValueTypes

    ShortList getItemValueTypes()
                                throws XSException

  Deprecated. Use getValueConstraintValue().getListValueTypes() instead

  In the case the actual constraint value represents a list, i.e. the `actualValueType` is `LIST_DT`, the returned array consists of one type kind which represents the itemType. If the actual constraint value represents a list type definition whose item type is a union type definition, i.e. `LISTOFUNION_DT`, for each actual constraint value in the list the array contains the corresponding memberType kind. For examples, see `ItemPSVI.itemValueTypes`.

  Throws:
    `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

### getValueConstraintValue

    XSValue getValueConstraintValue()

  The actual value of the default or fixed value constraint.

### getAnnotations

    XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.